Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEETerminal.m
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEETerminal.m	(revision 318)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEETerminal.m	(revision 319)
@@ -300,4 +300,5 @@
             selRange = [ICeCoffEETerminalRange rangeWithTerminal: self];
         } else { // select something
+	    // XXX test this next line, it may be what's causing a Terminal bug to exhibit itself
             [storage selectWordAtLine: ICCF_line offset: ICCF_col];
             selRange = [ICeCoffEETerminalRange rangeWithTerminal: self];
@@ -312,8 +313,8 @@
 
         termRange = [ICeCoffEETerminalRange rangeWithTerminal: self pt0: [selRange pt0] pt1: [selRange pt0]];
-        // add 1 to range to trap delimiters that are on the edge of the selection (i.e., <...)
-        [termRange growForwardByLength: 1];
         [termRange growBackwardByLength: ICCF_MAX_URL_LEN]; // potentially too big
-        s = [termRange stringFromRange];
+	
+expandFront:
+	s = [termRange stringFromRange];
         ICLog(@"front %@", termRange);
         delimiterRange = [s rangeOfCharacterFromSet: urlLeftDelimiters
@@ -321,8 +322,19 @@
         if (delimiterRange.location == NSNotFound) {
             // extend to beginning of string (as much as possible)
-            [selRange growBackwardByLength: [s length] - 1];
+            [selRange growBackwardByLength: [s length]];
         } else {
             NSCAssert(delimiterRange.length == 1, @"Internal error: delimiter matched range is not of length 1");
-            [selRange growBackwardByLength: [s length] - delimiterRange.location - 2];
+            [selRange growBackwardByLength: [s length] - delimiterRange.location - 1];
+	    // in https://www-s.acm.uiuc.edu/wiki/space/(user)njriley - handle clicking inside or after (user).
+	    if ([s characterAtIndex: delimiterRange.location] == '(') {
+		s = [selRange stringFromRange];
+		if ([s rangeOfString: @")"].location != NSNotFound ||
+		    [s rangeOfCharacterFromSet: [NSCharacterSet characterSetWithCharactersInString: @"/."]].location == NSNotFound) {
+		    [selRange growBackwardByLength: 1];
+		    ICLog(@"expanding past (, now %@", selRange);
+		    [termRange shrinkBackByLength: [[termRange stringFromRange] length] - delimiterRange.location];
+		    goto expandFront;
+		}
+	    }
         }
 
@@ -330,8 +342,8 @@
 
         termRange = [ICeCoffEETerminalRange rangeWithTerminal: self pt0: [selRange pt1] pt1: [selRange pt1]];
-        // subtract 1 from range to trap delimiters that are on the edge of the selection (i.e., ...>)
-        [termRange growBackwardByLength: 1];
         [termRange growForwardByLength: ICCF_MAX_URL_LEN]; // potentially too big
-        s = [termRange stringFromRange];
+	
+expandBack:
+	s = [termRange stringFromRange];
         ICLog(@"back %@", termRange);
         delimiterRange = [s rangeOfCharacterFromSet: urlRightDelimiters
@@ -339,8 +351,16 @@
         if (delimiterRange.location == NSNotFound) {
             // extend to end of string
-            [selRange growForwardByLength: [s length] - 1];
+            [selRange growForwardByLength: [s length]];
         } else {
             NSCAssert(delimiterRange.length == 1, @"Internal error: delimiter matched range is not of length 1");
-            [selRange growForwardByLength: delimiterRange.location - 1];
+            [selRange growForwardByLength: delimiterRange.location];
+	    // URL may look like "https://www-s.acm.uiuc.edu/wiki/space/(user" now; expand if so
+	    if ([s characterAtIndex: delimiterRange.location] == ')' &&
+		[[selRange stringFromRange] rangeOfString: @"("].location != NSNotFound) {
+		[selRange growForwardByLength: 1];
+		ICLog(@"expanding past ), now %@", selRange);
+		[termRange shrinkFrontByLength: delimiterRange.location + 1];
+		goto expandBack;
+	    }
         }
 
Index: trunk/ICeCoffEE/ICeCoffEE/Info-APE Module.plist
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Info-APE Module.plist	(revision 318)
+++ trunk/ICeCoffEE/ICeCoffEE/Info-APE Module.plist	(revision 319)
@@ -33,5 +33,5 @@
 	<string>ICCF</string>
 	<key>CFBundleVersion</key>
-	<string>1.4.3</string>
+	<string>1.5d1</string>
 </dict>
 </plist>
Index: trunk/ICeCoffEE/ICeCoffEE/VERSION
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/VERSION	(revision 318)
+++ trunk/ICeCoffEE/ICeCoffEE/VERSION	(revision 319)
@@ -1,1 +1,1 @@
-1.4.3
+1.5d1
